> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rumorz.io/llms.txt
> Use this file to discover all available pages before exploring further.

# get_feed

> Get the feed of posts related to the specified entities and filters.



## OpenAPI

````yaml api-reference/openapi.yaml post /graph/get_feed
openapi: 3.0.0
info:
  title: Rumorz API
  version: v0
  description: >-
    This is the Rumorz API for accessing Financial markets AI intelligence
    through the Graph and Agent endpoints.
servers:
  - url: https://rumorz.azurewebsites.net/v0
security:
  - ApiKeyAuth: []
paths:
  /graph/get_feed:
    post:
      tags:
        - Graph
      summary: get_feed
      description: Get the feed of posts related to the specified entities and filters.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                ids:
                  type: array
                  items:
                    type: integer
                lookback:
                  type: string
                  enum:
                    - 1H
                    - 6H
                    - 12H
                    - 1D
                    - 7D
                    - 30D
                    - 90D
                  description: Time period to look back
                sentiment_gte:
                  type: number
                sentiment_lte:
                  type: number
                page:
                  type: integer
                limit:
                  type: integer
            example:
              ids:
                - 115176
              lookback: 7D
              sentiment_gte: 0.5
              sentiment_lte: 1
              page: 1
              limit: 10
      responses:
        '200':
          description: Success
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````